<?xml version="1.0"?>
<template
    format="4"
    revision="2"
    name="App Widget"
    description="Creates a new App Widget"
    minApi="4"
    minBuildApi="16">

    <category value="Widget" />

    <parameter
        id="className"
        name="Class Name"
        type="string"
        constraints="class|unique|nonempty"
        default="NewAppWidget"
        help="The name of the App Widget to create" />

        <parameter
            id="placement"
            name="Placement"
            type="enum"
            default="homescreen"
            help="Make the widget available on the Home-screen and/or on the Keyguard. Keyguard placement is only supported in Android 4.2 and above; this setting is ignored on earlier versions and defaults to Home-screen.">
            <option id="both">Home-screen and Keyguard</option>
            <option id="homescreen">Home-screen only</option>
            <option id="keyguard" >Keyguard only (API 17+)</option>
        </parameter>

        <parameter
            id="resizable"
            name="Resizable (API 12+)"
            type="enum"
            default="both"
            help="Allow the user to resize the widget. Feature only available on Android 3.1 and above.">
            <option id="both">Horizontally and vertically</option>
            <option id="horizontal">Only horizontally</option>
            <option id="vertical" >Only vertically</option>
            <option id="none">Not resizable</option>
        </parameter>

    <parameter
        id="minWidth"
        name="Minimum Width (cells)"
        type="enum"
        default="1">
        <option id="1">1</option>
        <option id="2" >2</option>
        <option id="3" >3</option>
        <option id="4" >4</option>
    </parameter>

    <parameter
        id="minHeight"
        name="Minimum Height (cells)"
        type="enum"
        default="1">
        <option id="1">1</option>
        <option id="2" >2</option>
        <option id="3" >3</option>
        <option id="4" >4</option>
    </parameter>

    <parameter
        id="configurable"
        name="Configuration Screen"
        type="boolean"
        default="false"
        help="Generates a widget configuration activity" />

    <globals file="globals.xml.ftl" />
    <execute file="recipe.xml.ftl" />


    <thumbs>
        <thumb>thumbs/template_widget_3x3_vh.png</thumb>

        <thumb minWidth="1" minHeight="1" resizable="none"      >thumbs/template_widget_1x1.png</thumb>
        <thumb minWidth="2" minHeight="1" resizable="none"      >thumbs/template_widget_2x1.png</thumb>
        <thumb minWidth="3" minHeight="1" resizable="none"      >thumbs/template_widget_3x1.png</thumb>
        <thumb minWidth="4" minHeight="1" resizable="none"      >thumbs/template_widget_4x1.png</thumb>
        <thumb minWidth="1" minHeight="2" resizable="none"      >thumbs/template_widget_1x2.png</thumb>
        <thumb minWidth="2" minHeight="2" resizable="none"      >thumbs/template_widget_2x2.png</thumb>
        <thumb minWidth="3" minHeight="2" resizable="none"      >thumbs/template_widget_3x2.png</thumb>
        <thumb minWidth="4" minHeight="2" resizable="none"      >thumbs/template_widget_4x2.png</thumb>
        <thumb minWidth="1" minHeight="3" resizable="none"      >thumbs/template_widget_1x3.png</thumb>
        <thumb minWidth="2" minHeight="3" resizable="none"      >thumbs/template_widget_2x3.png</thumb>
        <thumb minWidth="3" minHeight="3" resizable="none"      >thumbs/template_widget_3x3.png</thumb>
        <thumb minWidth="4" minHeight="3" resizable="none"      >thumbs/template_widget_4x3.png</thumb>
        <thumb minWidth="1" minHeight="4" resizable="none"      >thumbs/template_widget_1x4.png</thumb>
        <thumb minWidth="2" minHeight="4" resizable="none"      >thumbs/template_widget_2x4.png</thumb>
        <thumb minWidth="3" minHeight="4" resizable="none"      >thumbs/template_widget_3x4.png</thumb>
        <thumb minWidth="4" minHeight="4" resizable="none"      >thumbs/template_widget_4x4.png</thumb>

        <thumb minWidth="1" minHeight="1" resizable="horizontal">thumbs/template_widget_1x1_h.png</thumb>
        <thumb minWidth="2" minHeight="1" resizable="horizontal">thumbs/template_widget_2x1_h.png</thumb>
        <thumb minWidth="3" minHeight="1" resizable="horizontal">thumbs/template_widget_3x1_h.png</thumb>
        <thumb minWidth="4" minHeight="1" resizable="horizontal">thumbs/template_widget_4x1_h.png</thumb>
        <thumb minWidth="1" minHeight="2" resizable="horizontal">thumbs/template_widget_1x2_h.png</thumb>
        <thumb minWidth="2" minHeight="2" resizable="horizontal">thumbs/template_widget_2x2_h.png</thumb>
        <thumb minWidth="3" minHeight="2" resizable="horizontal">thumbs/template_widget_3x2_h.png</thumb>
        <thumb minWidth="4" minHeight="2" resizable="horizontal">thumbs/template_widget_4x2_h.png</thumb>
        <thumb minWidth="1" minHeight="3" resizable="horizontal">thumbs/template_widget_1x3_h.png</thumb>
        <thumb minWidth="2" minHeight="3" resizable="horizontal">thumbs/template_widget_2x3_h.png</thumb>
        <thumb minWidth="3" minHeight="3" resizable="horizontal">thumbs/template_widget_3x3_h.png</thumb>
        <thumb minWidth="4" minHeight="3" resizable="horizontal">thumbs/template_widget_4x3_h.png</thumb>
        <thumb minWidth="1" minHeight="4" resizable="horizontal">thumbs/template_widget_1x4_h.png</thumb>
        <thumb minWidth="2" minHeight="4" resizable="horizontal">thumbs/template_widget_2x4_h.png</thumb>
        <thumb minWidth="3" minHeight="4" resizable="horizontal">thumbs/template_widget_3x4_h.png</thumb>
        <thumb minWidth="4" minHeight="4" resizable="horizontal">thumbs/template_widget_4x4_h.png</thumb>

        <thumb minWidth="1" minHeight="1" resizable="vertical"  >thumbs/template_widget_1x1_v.png</thumb>
        <thumb minWidth="2" minHeight="1" resizable="vertical"  >thumbs/template_widget_2x1_v.png</thumb>
        <thumb minWidth="3" minHeight="1" resizable="vertical"  >thumbs/template_widget_3x1_v.png</thumb>
        <thumb minWidth="4" minHeight="1" resizable="vertical"  >thumbs/template_widget_4x1_v.png</thumb>
        <thumb minWidth="1" minHeight="2" resizable="vertical"  >thumbs/template_widget_1x2_v.png</thumb>
        <thumb minWidth="2" minHeight="2" resizable="vertical"  >thumbs/template_widget_2x2_v.png</thumb>
        <thumb minWidth="3" minHeight="2" resizable="vertical"  >thumbs/template_widget_3x2_v.png</thumb>
        <thumb minWidth="4" minHeight="2" resizable="vertical"  >thumbs/template_widget_4x2_v.png</thumb>
        <thumb minWidth="1" minHeight="3" resizable="vertical"  >thumbs/template_widget_1x3_v.png</thumb>
        <thumb minWidth="2" minHeight="3" resizable="vertical"  >thumbs/template_widget_2x3_v.png</thumb>
        <thumb minWidth="3" minHeight="3" resizable="vertical"  >thumbs/template_widget_3x3_v.png</thumb>
        <thumb minWidth="4" minHeight="3" resizable="vertical"  >thumbs/template_widget_4x3_v.png</thumb>
        <thumb minWidth="1" minHeight="4" resizable="vertical"  >thumbs/template_widget_1x4_v.png</thumb>
        <thumb minWidth="2" minHeight="4" resizable="vertical"  >thumbs/template_widget_2x4_v.png</thumb>
        <thumb minWidth="3" minHeight="4" resizable="vertical"  >thumbs/template_widget_3x4_v.png</thumb>
        <thumb minWidth="4" minHeight="4" resizable="vertical"  >thumbs/template_widget_4x4_v.png</thumb>

        <thumb minWidth="1" minHeight="1" resizable="both"      >thumbs/template_widget_1x1_vh.png</thumb>
        <thumb minWidth="2" minHeight="1" resizable="both"      >thumbs/template_widget_2x1_vh.png</thumb>
        <thumb minWidth="3" minHeight="1" resizable="both"      >thumbs/template_widget_3x1_vh.png</thumb>
        <thumb minWidth="4" minHeight="1" resizable="both"      >thumbs/template_widget_4x1_vh.png</thumb>
        <thumb minWidth="1" minHeight="2" resizable="both"      >thumbs/template_widget_1x2_vh.png</thumb>
        <thumb minWidth="2" minHeight="2" resizable="both"      >thumbs/template_widget_2x2_vh.png</thumb>
        <thumb minWidth="3" minHeight="2" resizable="both"      >thumbs/template_widget_3x2_vh.png</thumb>
        <thumb minWidth="4" minHeight="2" resizable="both"      >thumbs/template_widget_4x2_vh.png</thumb>
        <thumb minWidth="1" minHeight="3" resizable="both"      >thumbs/template_widget_1x3_vh.png</thumb>
        <thumb minWidth="2" minHeight="3" resizable="both"      >thumbs/template_widget_2x3_vh.png</thumb>
        <thumb minWidth="3" minHeight="3" resizable="both"      >thumbs/template_widget_3x3_vh.png</thumb>
        <thumb minWidth="4" minHeight="3" resizable="both"      >thumbs/template_widget_4x3_vh.png</thumb>
        <thumb minWidth="1" minHeight="4" resizable="both"      >thumbs/template_widget_1x4_vh.png</thumb>
        <thumb minWidth="2" minHeight="4" resizable="both"      >thumbs/template_widget_2x4_vh.png</thumb>
        <thumb minWidth="3" minHeight="4" resizable="both"      >thumbs/template_widget_3x4_vh.png</thumb>
        <thumb minWidth="4" minHeight="4" resizable="both"      >thumbs/template_widget_4x4_vh.png</thumb>
    </thumbs>

</template>
